# \QueryQuery_Parser

Utility Class to parse sql clauses for properly escaping identifiers

## Summary

Methods
Properties
Constants
__construct()
parse_join()
compile_join()
$matches
No constants found
filter_array()
No protected properties found
N/A
No private methods found
$db
$match_patterns
N/A

File
  src/Query/Query_Parser.php
Package
  Query\Query_Builder
Class hierarchy
  \Query\Query_Parser

## Tags

None found

## Properties

### $matches

    $matches : array

Regex matches

#### Type

array

#

## Tags

None found

### $db

    $db : \Query\Driver_Interface

DB Driver

#### Type

\Query\Driver_Interface

#

## Tags

None found

### $match_patterns

    $match_patterns : array

Regex patterns for various syntax components

#### Type

array

#

## Tags

None found

## Methods

### __construct()

    __construct(\Query\Driver\Driver_Interface  $db)

Constructor/entry point into parser

#### Parameters

\Query\Driver\Driver_Interface | $db |

#

## Tags

None found

### parse_join()

    parse_join(string  $sql) : array

Parser method for setting the parse string

#### Parameters

string | $sql |

#### Returns

array

#

## Tags

None found

### compile_join()

    compile_join(string  $condition) : string

Compiles a join condition after parsing

#### Parameters

string | $condition |

#### Returns

string

#

## Tags

None found

### filter_array()

    filter_array(array  $array) : array

Returns a more useful match array

#### Parameters

array | $array |

#### Returns

array

#

## Tags

None found

### Query_Parser.php